## Class TActiveRecordCriteria

Description

Search criteria for Active Record.

Criteria object for active record finder methods. Usage:

     $criteria = new TActiveRecordCriteria;
     $criteria->Condition = 'username = :name AND password = :pass';
     $criteria->Parameters[':name'] = 'admin';
     $criteria->Parameters[':pass'] = 'prado';
     $criteria->OrdersBy['level'] = 'desc';
     $criteria->OrdersBy['name'] = 'asc';
     $criteria->Limit = 10;
     $criteria->Offset = 20;

- since: 3.1
- version: $Id: TActiveRecordCriteria.php 1869 2007-04-16 02:02:27Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/ActiveRecord/TActiveRecordCriteria.php (line 35)

    TComponent
       |
       --TSqlCriteria
          |
          --TActiveRecordCriteria

Methods

#### Inherited Methods

Inherited From TSqlCriteria

> TSqlCriteria::__construct()
> TSqlCriteria::getCondition()
> TSqlCriteria::getIsNamedParameters()
> TSqlCriteria::getLimit()
> TSqlCriteria::getOffset()
> TSqlCriteria::getOrdersBy()
> TSqlCriteria::getParameters()
> TSqlCriteria::setCondition()
> TSqlCriteria::setLimit()
> TSqlCriteria::setOffset()
> TSqlCriteria::setOrdersBy()
> TSqlCriteria::setParameters()
> TSqlCriteria::__toString()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:29:40 -0400 by phpDocumentor 1.3.0RC4